Last Comment Bug 481682 - Thunderbird Message Filters enabled with spacebar won't save enabled/disabled state on close of filter list window
: Thunderbird Message Filters enabled with spacebar won't save enabled/disabled...
Status: RESOLVED FIXED
: regression
Product: MailNews Core
Classification: Components
Component: Filters (show other bugs)
: Trunk
: x86 Windows XP
: -- minor (vote)
: Thunderbird 11.0
Assigned To: :aceman
:
:
Mentors:
: 549282 708241 (view as bug list)
Depends on:
Blocks: 388191
  Show dependency treegraph
 
Reported: 2009-03-05 10:14 PST by Michael Baffoni
Modified: 2012-05-29 00:38 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
trivial patch (765 bytes, patch)
2011-12-09 12:51 PST, :aceman
mozilla: review+
Details | Diff | Splinter Review

Description Michael Baffoni 2009-03-05 10:14:45 PST
Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.9.1b4pre) Gecko/20090305 Shredder/3.0b3pre

1) Create or identify mail filter under tools/mail filters
2) Use mouse to toggle mail filter status (e.g. enabled to disabled)
3) Close filter window
4) Open filter window - mail filter is toggled (e.g. disabled).
5) Use space bar to toggle status (e.g. disabled to enabled).
6) Closed Mail filter window
7) Open Mail filter window

Expected behavior:
8) Mail filter is toggled (e.g. enabled).

Actual behavior:
8) Mail filter is not toggled (e.g. disabled).
Comment 1 Wayne Mery (:wsmwk, NI for questions) 2009-04-15 15:39:43 PDT
Michael, is this a regression from version 2?

sev > minor because there is a workaround (surprised you missed that)

note: the first filter selected requires two spacebars to toggle Enable checkbox
Comment 2 Michael Baffoni 2009-04-15 16:07:29 PDT
I don't know if it is a regression in that I've never seen this error occur in TB2, it just worked normally in TB2.

Two spacebars did not fix this (it just removes the check).  One space toggles and a check appears, but it doesn't save it.  I don't know why a second spacebar, which would remove the check, would be correct or intuitive as a solution, or why this would be a work around (it isn't, when the check is removed, or enabled, it doesn't change state if it is done with the space bar).  No matter what state the filter is in, no amount of even or odd spacebar taps will change the state after closing and reopening.
Comment 3 Wayne Mery (:wsmwk, NI for questions) 2009-04-15 16:23:52 PDT
the workaround is click. didn't mean to imply second spacebar works, as you found.

whether it fails in v2 is a nit but figured I'd ask because you probably wouldn't have noticed it if you didn't already know it worked in v2.  Your statement indicates it did, so this would be considered a regression.  So adding appropriate keyword
Comment 4 zug_treno 2010-03-01 09:14:57 PST
*** Bug 549282 has been marked as a duplicate of this bug. ***
Comment 5 :aceman 2011-12-09 12:49:17 PST
*** Bug 708241 has been marked as a duplicate of this bug. ***
Comment 6 :aceman 2011-12-09 12:51:37 PST
Created attachment 580506 [details] [diff] [review]
trivial patch

This fixes it for me. Can it be this simple?
Comment 7 David :Bienvenu 2011-12-13 14:21:07 PST
Comment on attachment 580506 [details] [diff] [review]
trivial patch

thx, seems to work fine.
Comment 8 Mark Banner (:standard8) 2011-12-16 14:35:32 PST
Checked in: http://hg.mozilla.org/comm-central/rev/9ca714b1e2f3

Note You need to log in before you can comment on or make changes to this bug.